/* $Id: $
 *
 * simple example for using RSSGui...
 *
 * Author: Danny Reinhold / Reinhold Software Services
 *
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without restriction,
 * including without limitation the rights to use, copy, modify, merge,
 * publish, distribute, sublicense, and/or sell copies of the Software,
 * and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions: 
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software. 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 * DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
 * ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE. 
 */

#include "RSSGui.h"


int main()
{
  rssGuiInit();

  // create a dialog with a simple button
  RSSButton *b1 = new RSSButton("Click me!");
  RSSDialog *d1 = new RSSDialog(b1, "RSSGui Example");

  // set a tool tip for the button
  b1->setToolTip("A cool button");

  // show the dialog
  d1->show();

  // Start the main event loop
  RSSEventManager *eventManager = RSSEventManager::getInstance();
  eventManager->mainLoop();

  delete d1;

  rssGuiRelease();
  return 0;
}

