/* $Id: $
 *
 * RSSGui.h
 *
 * Include this file if you want to use RSSGui.
 * You don't need to include any further RSSGui header files...
 *
 * Author: Danny Reinhold / Reinhold Software Services
 *
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without restriction,
 * including without limitation the rights to use, copy, modify, merge,
 * publish, distribute, sublicense, and/or sell copies of the Software,
 * and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions: 
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software. 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 * DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
 * ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE. 
 */

#ifndef RSSGUI_H
#define RSSGUI_H

// Disable annoying and useless warning...
#pragma warning(disable:4786)

#define RSSGUIVERSION "0.5"

#include "RSSGuiDeclSpec.h"
#include "RSSGlobals.h"
#include "RSSWidget.h"
#include "RSSWidgetManager.h"
#include "RSSButton.h"
#include "RSSDialog.h"
#include "RSSFill.h"
#include "RSSVBox.h"
#include "RSSHBox.h"
#include "RSSZBox.h"
#include "RSSRadio.h"
#include "RSSLabel.h"
#include "RSSToggle.h"
#include "RSSFrame.h"
#include "RSSList.h"
#include "RSSMultiLine.h"
#include "RSSText.h"
#include "RSSColor.h"
#include "RSSTimer.h"
#include "RSSFileDialog.h"
#include "RSSSplitBox.h"
#include "RSSTree.h"
#include "RSSDial.h"
#include "RSSGauge.h"
#include "RSSMatrix.h"
#include "RSSTab.h"
#include "RSSValuator.h"
#include "RSSColorBrowser.h"

#include "RSSMenu.h"
#include "RSSSubmenu.h"
#include "RSSItem.h"
#include "RSSSeparator.h"

#include "RSSEvent.h"

#include "RSSWizard.h"

#endif

