/* $Id: $
 *
 * RSSGuiDeclSpec.h
 *
 * Author: Danny Reinhold / Reinhold Software Services
 *
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without restriction,
 * including without limitation the rights to use, copy, modify, merge,
 * publish, distribute, sublicense, and/or sell copies of the Software,
 * and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions: 
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software. 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 * DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
 * ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE. 
 */

#ifndef RSSGUIDECLSPEC_H
#define RSSGUIDECLSPEC_H

/* If you use the DLL version of RSSGui
 * define RSS_GUI_DLL in your program!
 * Never define RSS_GUI_IMPL in your code because it
 * is used to implement the dll.
 */
#ifndef RSS_GUI_DECL_SPEC
  #ifdef RSS_GUI_DLL
    #ifdef RSS_GUI_IMPL
      #define RSS_GUI_DECL_SPEC __declspec(dllexport)
    #else
      #define RSS_GUI_DECL_SPEC __declspec(dllimport)
    #endif
  #else
    #define RSS_GUI_DECL_SPEC
  #endif
#endif


#endif

